Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Updating firefox has become too complicated

  • 2 fhreagra
  • 0 leis an bhfadhb seo
  • 1 view
  • Freagra is déanaí ó xamama

more options

I really appreciate everything you do, but I am a boomer (Loud and Proud), I did not get born with a device attached to my hand, I am a digital imbecile.

With all that in mind, it has become too difficult to keep up with the digitalisation, at least in my case. So when you send me suggestions and update procedures I end up just closing everything, too much to read, too stressing, but the suggestions keep coming every time I open the firefox browser. Can I not just keep the version I have and decline any new versions.

I also have a problem in regard to language, it is set to English, but I do not care for US English, I would like to have GB English, but somehow it won't accept that.

What can I do?

Kind regards,

Xamama

I really appreciate everything you do, but I am a boomer (Loud and Proud), I did not get born with a device attached to my hand, I am a digital imbecile. With all that in mind, it has become too difficult to keep up with the digitalisation, at least in my case. So when you send me suggestions and update procedures I end up just closing everything, too much to read, too stressing, but the suggestions keep coming every time I open the firefox browser. Can I not just keep the version I have and decline any new versions. I also have a problem in regard to language, it is set to English, but I do not care for US English, I would like to have GB English, but somehow it won't accept that. What can I do? Kind regards, Xamama

All Replies (2)

more options

You can install the en-GB version if you currently have the en-US version installed.

You can find the full installer of the current Firefox release (127.0) in all languages and all operating systems here:

Note that you may have to install the "British English Dictionary" for spell checking.

You can look here for dictionaries:

Note that for spell checking you need a dictionary and not a language pack that provides translations for the user interface.

Helpful?

more options

This is impossible, I am a kinaesthetic learner, which I think I tried to explain. I am not stupid, my brain just works in a different way, along different lines, than yours. As all kinaesthetic learners, we are discriminated against. We have been discriminated against in schools, colleges and universities throughout history and today also by all tech companies and organisations. Please just stop it. It is as bad as discriminating against race or sexual orientation, possibly even worse.

I see no other option than to reject any future updates as long as this discrimination takes place, if I only knew how to, sending me links is not helpful, kinaesthetics learn by doing not by reading, something that leaves my brain ready to explode. Please consider this in the future.

I really just want my old firefox back, that is what I need.

Kind regards,

Xamama (Lix score 47)

Athraithe ag xamama ar

Helpful?

Cuir ceist

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.